#
# Configuration Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@jcu.cz>
#

srcdir=@srcdir@
VPATH=@srcdir@
prefix=@prefix@
moddir=@moddir@
c_opts=@c_opts@
processor=@processor@
msmp=@msmp@
SND_VERSION=@SND_VERSION@
kversion=@kversion@
kpatchlevel=@kpatchlevel@
ksublevel=@ksublevel@

CC=@CC@
CPP=@CPP@ -M -D__DEPEND__
INCLUDE=-I/usr/src/linux/include -I$(TOPDIR)/include
COPTS=$(c_opts) -DLINUX
ifeq (1,$(msmp))
COPTS += -D__SMP__
endif
LINKER=ld -r
SNDVERSIONS=$(TOPDIR)/include/sndversions.h
PEXPORT=$(TOPDIR)/utils/export-symbols
DEXPORT=$(TOPDIR)/include/modules
ifeq (2,$(kversion))
ifeq (0,$(kpatchlevel))
GENKSYMS=/sbin/genksyms
else
ifeq (1,$(msmp))
GENKSYMS=/sbin/genksyms -k $(kversion).$(kpatchlevel).$(ksublevel) -p smp_
else
GENKSYMS=/sbin/genksyms -k $(kversion).$(kpatchlevel).$(ksublevel)
endif
ifeq (alpha,$(processor))
COPTS += -ffixed-8
endif
endif
endif
COPTS += -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe
